<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <!-- Nav -->
    <nav class="navbar navbar-expand-lg main-nav">
        <div class="container-fluid">
            <a class="navbar-brand text-dark" href="#">Jueguitos<span>.net</span></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="#">Inicio</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#calculadora">Calculadora</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#adivinanza">Adivinanza</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#loteria">Loteria</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#tarea">Tareas</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#digitoverificador">Verificador</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="container">
        <div class="row container-calculadora" id="calculadora">
            <h1 class="mb-4">Calculadora</h1>
            <div class="calculator dark">
                <div class="display-screen">
                    <div id="display"></div>
                </div>
                <div class="buttons">
                    <table>
                        <tr>
                            <td><button class="btn-operator" id="clear">C</button></td>
                            <td><button class="btn-operator" id="/">&divide;</button></td>
                            <td><button class="btn-operator" id="*">&times;</button></td>
                            <td><button class="btn-operator" id="backspace"><</button></td>
                        </tr>
                        <tr>
                            <td><button class="btn-number" id="7">7</button></td>
                            <td><button class="btn-number" id="8">8</button></td>
                            <td><button class="btn-number" id="9">9</button></td>
                            <td><button class="btn-operator" id="-">-</button></td>
                        </tr>
                        <tr>
                            <td><button class="btn-number" id="4">4</button></td>
                            <td><button class="btn-number" id="5">5</button></td>
                            <td><button class="btn-number" id="6">6</button></td>
                            <td><button class="btn-operator" id="+">+</button></td>
                        </tr>
                        <tr>
                            <td><button class="btn-number" id="1">1</button></td>
                            <td><button class="btn-number" id="2">2</button></td>
                            <td><button class="btn-number" id="3">3</button></td>
                            <td rowspan="2"><button class="btn-equal" id="equal">=</button></td>
                        </tr>
                        <tr>
                            <td><button class="btn-operator" id=".">.</button></td>
                            <td><button class="btn-number" id="0">0</button></td>
                            <td><button class="btn-operator" id="%">&percnt;</button></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>

        <div class="row container-adivinanza" id="adivinanza">
            <h1 class=" mb-3">Adivina, adivina qué</h1>
            <p class="text-black">El juego consiste en adivinar un número del 1 al 10, tendrás infinito intentos para realizarlo.
                Se pueden ingresar números de 1 al 10, si es número decimal, se aproximará al número entero más cercano.
            </p>
            <div class="mb-3 container-input">
                <input type="text" class="form-control" id="guess">
                <button class="btn-suerte" onclick="inicio()" id="btnInicio">Suerte!</button>
                <button class="btn-suerte" onclick="resetear()" id="btnReset">Resetear</button>
            </div>
            <div class="mb-3 container-message text-white ">
                <p id="message1">No. de intentos: 0</p>
                <p id="message2"></p>
                <p id="message3"></p>
            </div>
        </div>

        <div class="row container-loteria" id="loteria">
            <div class="container-imagen"><img src="imgs/dinero.svg" alt=""></div>
            <h1 class="mb-3"> Loteria</h1>
            <p class="text-black">El juego consiste en ingresar 6 números del 1 al 99 y si logras adivinar todos, te llevas el pozo millonario.</p>
            <form>
                <label for="numero">Ingrese un número:</label>
                <input type="class" class="form-control" id="numero" name="numero">
                <button type="button" onclick="numeroUser()">Agregar</button>
                <button type="button" onclick="jugar()">Jugar</button>
            </form>
              
              <div class="resultados" style="display:none;">
                <h2>Resultados</h2>
                <p>Números escogidos: <span id="numeros-escogidos"></span></p>
                <p>Números ganadores de la loteria: <span id="numeros-aleatorios"></span></p>
                <p>Aciertos: <span id="aciertos"></span></p>
                <button type="button" id="volverJugar">Volver a Jugar</button>
              </div>
        </div>
        <div class="row container-listaTareas" id="tarea">
            <h1>Lista de tareas</h1>
            <p class="text-black">Puedes ingresar tu lista de tareas y chequear si las completaste o si quieres eliminar alguna.</p>
            <form>
                <label for="nuevaTarea">Agregar tarea:</label>
                <input type="text" class="form-control" class="inputCss" id="nuevaTarea">
                <button type="button" onclick="agregarTarea()">Agregar</button>
            </form>
            <div class="container-resultado-listaTareas">
                <ul id="listaTareas"></ul>
            </div>
        </div>
        <div class="row container-verificador" id="digitoverificador">
            <h1>Verificador Rut</h1>
            <p class="text-black">Verificador de rut, ingrese su rut y se le entregará el verificador.</p>
            <form>
                <label for="rut">Ingrese Rut:</label>
                <input type="text" class="form-control" class="inputCss" id="rut" name="rut">
                <button type="button" onclick="calcularDV()">Calcular</button>
            </form>
            <div class="container-resultado-verificador">
            </div>
        </div>
    </div>
    <footer class=" bg-body-secondary text-center text-lg-start">
        <!-- Grid container -->
        <div class="container p-4">
          <!--Grid row-->
          <div class="row">
            <!--Grid column-->
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
              <h5 class="text-uppercase"><b>¿Quienés somos?</b></h5>
      
              <p>
                Somos una empresa diseñadora de herramientas o juegos virtuales que permiten entregar
                apoyo, entrenimiento a los usuarios.
              </p>
            </div>
            <!--Grid column-->
      
            <!--Grid column-->
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
              <h5 class="text-uppercase"><b>Contacto</b></h5>
      
              <p>
                Jueguitos.net
              </p>
              <p>
                Telefono: 111111111
              </p>
              <p>
                Talca
              </p>
            </div>
            <!--Grid column-->
          </div>
          <!--Grid row-->
        </div>
        <!-- Grid container -->
      
        <!-- Copyright -->
        <div class="text-center p-3 container-copyright">
          © 2023 Copyright:
          <a class="text-dark" href="#">Jueguitos.net</a>
        </div>
        <!-- Copyright -->
      </footer>
    
</body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
<script src="script.js"></script>
</html>